MPI_Get_version(3)

NAME
MPI_Get_version - Gets the version of MPI

SYNOPSIS
#include "mpi.h"
int MPI_Get_version(
        int *version,
        int *subversion )

OUTPUT PARAMETERS
version
    - Major version of MPI (1 or 2)
subversion
    - Minor version of MPI.

NOTES
The defined values MPI_VERSION and MPI_SUBVERSION contain the same information. This routine allows you to check that the library matches the version specified in the mpi.h and mpif.h files.

NOTES FOR FORTRAN
All MPI routines in Fortran (except for MPI_WTIME and MPI_WTICK ) have an additional argument ierr at the end of the argument list. ierr is an integer and has the same meaning as the return value of the routine in C. In Fortran, MPI routines are subroutines, and are invoked with the call statement. All MPI objects (e.g., MPI_Datatype , MPI_Comm ) are of type INTEGER in Fortran.

LOCATION
getversion.c